import { ElementRef, EventEmitter, OnChanges, Renderer2, SimpleChanges, TemplateRef, ViewContainerRef } from "@angular/core";
export declare class QMSTableDirective {
    private _el;
    private renderer;
    constructor(_el: ElementRef, renderer: Renderer2);
    ngAfterViewChecked(): void;
}
export declare class QMSTableChildrenDirective {
    private _el;
    private renderer;
    constructor(_el: ElementRef, renderer: Renderer2);
    ngAfterViewChecked(): void;
}
export declare class QMSRowDetailDirective {
    constructor();
}
export declare class QMSCollapseGroupDirective {
    constructor();
}
export declare class CdkDetailRowDirective implements OnChanges {
    vcRef: ViewContainerRef;
    private _el;
    private row;
    private tRef;
    private othertRef;
    private opened;
    private focusClass;
    onRowExpandEvent: EventEmitter<boolean>;
    get expanded(): boolean;
    set qmsCdkDetailRow(value: any);
    set template(value: TemplateRef<any>);
    set otherTemplate(value: TemplateRef<any>);
    constructor(vcRef: ViewContainerRef, _el: ElementRef);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    onClick(): void;
    onKeydownHandler(event: KeyboardEvent): void;
    onClickItem(event: any): void;
    onKeydown(event: any): void;
    toggle(): void;
}
